coreEngine.Calibration.Profiles

## Class StringProfile

- java.lang.Object
- - coreEngine.Calibration.Profile
  - - coreEngine.Calibration.Profiles.StringProfile

-     public class StringProfile
      extends Profile

  Author:
    jtrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `profile` Array of binary strings defining the number of steps above the minimum value a profile is.

    - ### Fields inherited from class coreEngine.Calibration.Profile

      `afType, alg, confPct, numPeriod, seg, TYPE_DAF, TYPE_OAF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringProfile(GeneticAlgorithm alg, int afType, int seg, int numPeriod)`
    `StringProfile(GeneticAlgorithm alg, int afType, int seg, int numPeriod, java.lang.String[] profile)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringProfile` | `createRandomProfile(GeneticAlgorithm alg, int afType, int seg, int numPeriod)`
    `Profile[]` | `crossover(Profile mate)`
    `void` | `decrementAF(int numInc, int period)`
    `void` | `fillDefault()`
    `float` | `getAF(int period)`
    `java.lang.String` | `getBinaryAF(int period)`
    `Profile` | `getDeepCopy()`
    `void` | `incrementAF(int numInc, int period)`
    `void` | `mutate()`
    `void` | `setAF(float val, int period)`
    `void` | `setAF(int val, int period)`
    `void` | `setAF(java.lang.String val, int period)`
    `void` | `setAFArray(double[] newArray)`

    - ### Methods inherited from class coreEngine.Calibration.Profile

      `getAFLowerRange, getAFUpperRange, getNumPeriods, setConfidencePct`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### profile

          public final java.lang.String[] profile

      Array of binary strings defining the number of steps above the minimum value a profile is.

  - ### Constructor Detail

    - #### StringProfile

          public StringProfile(GeneticAlgorithm alg,
                               int afType,
                               int seg,
                               int numPeriod)

    - #### StringProfile

          public StringProfile(GeneticAlgorithm alg,
                               int afType,
                               int seg,
                               int numPeriod,
                               java.lang.String[] profile)

  - ### Method Detail

    - #### getAF

          public float getAF(int period)

      Specified by:
        `getAF` in class `Profile`

    - #### getBinaryAF

          public java.lang.String getBinaryAF(int period)

      Specified by:
        `getBinaryAF` in class `Profile`

    - #### setAF

          public void setAF(java.lang.String val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### setAF

          public void setAF(float val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### setAF

          public void setAF(int val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### incrementAF

          public void incrementAF(int numInc,
                                  int period)

    - #### decrementAF

          public void decrementAF(int numInc,
                                  int period)

    - #### fillDefault

          public void fillDefault()

    - #### setAFArray

          public void setAFArray(double[] newArray)

    - #### getDeepCopy

          public Profile getDeepCopy()

      Specified by:
        `getDeepCopy` in class `Profile`

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Profile`

    - #### createRandomProfile

          public static StringProfile createRandomProfile(GeneticAlgorithm alg,
                                                          int afType,
                                                          int seg,
                                                          int numPeriod)

    - #### crossover

          public Profile[] crossover(Profile mate)

      Specified by:
        `crossover` in class `Profile`